package com.chenyang.druid.sql.dialect.oracle.ast.stmt;

import com.chenyang.druid.sql.ast.statement.SQLAssignItem;
import com.chenyang.druid.sql.dialect.oracle.visitor.OracleASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class OracleAlterSessionStatement extends OracleStatementImpl implements OracleAlterStatement {
   private List<SQLAssignItem> items = new ArrayList();

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.items);
      }

      visitor.endVisit(this);
   }

   public List<SQLAssignItem> getItems() {
      return this.items;
   }

   public void setItems(List<SQLAssignItem> items) {
      this.items = items;
   }
}
